Name:           bsf
Epoch:          0
Version:        2.4.0
Release:        32
Summary:        Bean Scripting Framework
License:        ASL 2.0
URL:            http://commons.apache.org/bsf/
BuildArch:      noarch
Source0:        http://apache.mirror.anlx.net//commons/%{name}/source/%{name}-src-%{version}.tar.gz
Source1:        bsf-pom.xml
Patch0000:      build-file.patch
Patch0001:      build.properties.patch

BuildRequires:  javapackages-local ant apache-parent xalan-j2 rhino apache-commons-logging

%description
Bean Scripting Framework (BSF) is a set of Java classes which provides
scripting language support within Java applications, and access to Java
objects and methods from scripting languages.

The two primary components of BSF are the BSFManager and the BSFEngine.
The BSFManager handles all scripting execution engines running under its
control, and maintains the object registry that permits scripts access
to Java objects. By creating an instance of the BSFManager class, a Java
application can gain access to scripting services.

The BSFEngine provides an interface that must be implemented for a language
to be used by BSF. This interface provides an abstraction of the scripting
language's capabilities that permits generic handling of script execution
and object registration within the execution context of the scripting
language engine.

An application can instantiate a single BSFManager, and execute several
different scripting languages identically via the BSFEngine interface. Furthermore,
all of the scripting languages handled by the BSFManager are aware of the
objects registered with that BSFManager, and the execution state of those
scripting languages is maintained for the lifetime of the BSFManager.

%package help
Summary:        Help documentation for bsf
Provides:       bsf-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      bsf-javadoc < %{epoch}:%{version}-%{release}

%description help
The Package is infomation about bsf.

%prep
%autosetup -p1

find -name \*.jar -delete

%mvn_file : bsf
%mvn_alias : org.apache.bsf:

%build
export CLASSPATH=$(build-classpath apache-commons-logging rhino xalan-j2)
ant jar javadocs

%mvn_artifact %{SOURCE1} build/lib/bsf.jar

%install
%mvn_install -J build/javadocs

%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc AUTHORS.txt CHANGES.txt README.txt TODO.txt RELEASE-NOTE.txt

%files help -f .mfiles-javadoc

%changelog
* Thu Dec 12 2019 wanjiankang <wanjiankang@huawei.com> - 0:2.4.0-32
- Package Init
